<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Herramientas para el diseño de interfaces.</title>
  <link rel="stylesheet" href="css/reveal.css">
  <link rel="stylesheet" href="css/theme/black.css">
  <link rel="stylesheet" href="lib/css/zenburn.css">
  <link rel="stylesheet" href="css/customizations.css">
</head>
<body>
  <div class="reveal">
    <div class="slides">
      <section>
        <h2>Herramientas para el diseño de interfaces gráficas</h2>
        <img src="assets/img/GenericGuiWindow.svg" class="pure-img" style="width:50%;margin-top:60px;"></img>
      </section>
      <section>
        <h2>Objetivos</h2>
        <ul>
          <li>Multiplataforma</li>
          <li>Consistencia</li>
          <li>Integración con el SO</li>
        </ul>
      </section>
      <section>
        <h2>La web</h2>
        <ul>
          <li>Multiplataforma</li>
          <li>Consistente</li>
          <li><strong>NO</strong> proporciona integración con el SO</li>
        </ul>
      </section>
      <section>
        <h2>Aplicaciones nativas</h2>
        <ul>
          <li><strong>NO</strong> son multiplataforma</li>
          <li><strong>Inconsistente</strong></li>
          <li>Integración con el SO</li>
        </ul>
      </section>
      <section>
        <h2>Opciones a tener en cuenta</h2>
        <ul>
          <li>Java con AWT/Swing</li>
          <li>Frameworks multiplataforma como QT o GTK</li>
          <li><strong>Aplicaciones híbridas</strong></li>
        </ul>
      </section>
      <section>
        <h2>Aplicaciones híbridas</h2>
        <ul>
          <li>Se ejecutan dentro de un WebView</li>
          <li>Tienen integración con el SO donde se están ejecutando</li>
          <li>Son consistentes y multiplataforma</li>
        </ul>
      </section>
      <section>
        <h2>Electron</h2>
        <img src="assets/img/logo-electron.svg" class="pure-img" style="width: 15%">
        <p>Framework para desarrollar aplicaciones híbridas de escritorio utilizando tecnologías web.</p>
        <p>WebView basado en Chromium, módulos NodeJS.</p>
      </section>
      <section>
        <h2>Desarrolladas con Electron</h2>
        <img src="assets/img/discord-icon.png" class="pure-img" style="width:18%">
        <img src="assets/img/skype-icon.png" class="pure-img" style="width:16%">
        <img src="assets/img/visual-studio-code-icon.png" class="pure-img" style="width:17%">
        <img src="assets/img/atom-icon.png" class="pure-img" style="width:17%">
        <img src="assets/img/github-desktop-icon.png" class="pure-img" style="width:16%">
      </section>
      <section>
        <h2>Características de Electron</h2>
        <p>Electron no provee ningún componente prefabricado, tan solo proporciona la creación de la ventana y la interacción
          con el SO.</p>
        <p>Con electron podemos usar cualquier framework.</p>
        <img src="assets/img/angular-logo.png" class="pure-img" style="width: 15%">
        <img src="assets/img/vue-logo.png" class="pure-img" style="width: 13%">
        <img src="assets/img/react-logo.png" class="pure-img" style="width: 20%">
      </section>
      <section>
        <h2>Características de Electron</h2>
        <p>Electron es muy simple</p>
        <pre><code class="hljs javascript" data-trim>const {app, BrowserWindow} = require('electron')

function createWindow () {
  // Crea la ventana del navegador.
  win = new BrowserWindow({width: 800, height: 600})
  
  // y carga el archivo index.html de la aplicación.
  win.loadFile('index.html')
}

app.on('ready', createWindow)</code></pre>
      </section>
      <section>
        <h2>Ionic</h2>
        <img src="assets/img/ionic-logo.png" class="pure-img" style="width: 15%">
        <p>Framework para desarrollar aplicaciones móviles híbridas utilizando tecnologías web.</p>
        <p>WebView basado en Apache Cordova.</p>
        <p>Ionic en su versión 4 será independiente de framework.</p>
      </section>
      <section>
        <h2>Desarrolladas con Ionic</h2>
        <img src="assets/img/mcdonalds-logo.png" class="pure-img" style="width:30%">
        <p>No hay más aplicaciones relevantes en Ionic.</p>
      </section>
      <section>
        <h2>Características de Ionic</h2>
        <p>Actualmente construido sobre Angular 2</p>
        <img src="assets/img/angular-logo.png" class="pure-img" style="width:18%">
        <p>En su versión 4 será completamente independiente y usable con cualquier framework.</p>
      </section>
      <section>
        <h2>Características de Ionic</h2>
        <p>Ionic <strong>SI</strong> provee componentes para construir las interfaces.</p>
        <p>Estos componentes imitan el estilo visual de los componentes nativos de cada plataforma.</p>
        <img src="assets/img/ionic-ios.png" class="pure-img" style="width:15%">
        <img src="assets/img/ionic-android.png" class="pure-img" style="width:14.9%">
      </section>
      <section>
        <h1>FIN</h1>
        <p>Esta presentación ha sido desarrollada con <a href="https://github.com/hakimel/reveal.js">reveal.js</a></p>
        <p>El código fuente se encuentra en <a href="https://gitlab.com/2DAMLorenzo/dad-gui-slides">mi repositorio</a>.</p>
      </section>
    </div>
  </div>
  <script src="lib/js/head.min.js"></script>
  <script src="js/reveal.js"></script>
  <script>
    Reveal.initialize({
      history: true,
      dependencies: [
        { src: 'plugin/highlight/highlight.js', async: true, callback: function () { hljs.initHighlightingOnLoad(); } },
      ]
    });
  </script>
</body>
</html>